Package ru.bitel.oss.kernel.entity.common.bean

# Class Entity

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `AbstractTreeNode`, `AbtractVoiceAccount`, `Contract`, `ContractObject`, `Device`, `DeviceType`, `InetServType`, `ProductSpec`, `ServiceSpec`, `TvAccountSpec`, `TvChannelSpec`, `VoiceAccountTypeAbstract`

public abstract class Entity extends AbstractEntity
Сущность, привязанная к атрибутам, через таблицу entity

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyTo(Entity entity)`
  `int`
  `getEntityId()`
  `void`
  `setEntityId(int entityId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Entity

    public Entity()

- ## Method Details

  - ### getEntityId

    public int getEntityId()

  - ### setEntityId

    public void setEntityId(int entityId)

  - ### copyTo

    public void copyTo(Entity entity)